#ifndef _KBWAVEEVENT_H_
#define _KBWAVEEVENT_H_

#include "kbAtom.h"

/**
 * Objects of this class are waveevents. They do not need a (graphical) presentation of their own. They can be displayed
 * graphically within the presentation of the parts, they belong to. This is done in editors.
 * @short Waveevent Class
 * @author Jan Wuerthner
 * @version 0.97
 */
class KbWaveEvent : public KbAtom
{
 private:
  KbPosition pos;
  char * filename;

 public:
  KbWaveEvent( );
  KbWaveEvent(KbPosition,char*);
  KbPosition gPos();
  void sPos(KbPosition p);
  char * gFileName();
  void sFileName(char*);
  virtual bool isNote();
  virtual bool isAuxElement();
  virtual bool isMidiEvent();
  virtual bool isMasterEvent();
  virtual ostream & print(ostream&);
  virtual KbAtom * copy();
};


#endif
